--------------------------------------------------
-- 脚本名称: Xscript控制函数
-- 脚本描述: 演示如何用函数操作Xscript基本函数
--------------------------------------------------

--这是演示xscript集合函数的代码
function _toast(str)
    toast(str,2000)
    sleep(2000)
end

--获取脚本运行路径
scriptDir = xscript.scriptDir()


_toast("开始演示xscript集合函数代码")

_toast(string.format("当前脚本运行路径:%s",xscript.scriptPath()))
_toast(string.format("当前脚本所在文件夹路径:%s",scriptDir))

if (xscript.unzip(scriptDir.."/unzipdemo.zip",scriptDir,"123456")) then
    _toast("解压缩成功")
    dofile(scriptDir .."/unzip.lua")
else
    _toast("解压缩失败")
end


if (xscript.zip(scriptDir.."/../unzipdemo1.zip",scriptDir,"123456")) then
    _toast("压缩成功")
else
    _toast("压缩失败")
end

_toast(string.format("当前程序是否为兼容模式:%s",xscript.isCompatible()))
xscript.setCompatible(true)
_toast(string.format("现在修改兼容模式为true\n当前程序是否为兼容模式:%s",xscript.isCompatible()))
xscript.setCompatible(false)
_toast(string.format("现在修改兼容模式为false\n当前程序是否为兼容模式:%s",xscript.isCompatible()))
_toast("设置配置文件:isCompatible=1")
xscript.setProfile("isCompatible","1")
_toast("脚本暂停")
xscript.pause()
_toast("脚本恢复")
_toast("脚本停止!")
xscript.stop()
_toast("脚本已停止,不应该看到这个")
sleep(2000)